/* ToutJavaScript.com - Olivier Hondermarck - */

/* Chargement de l'adresse IP et affichage */
function loadGetMyIP() {
  document.querySelector("div#myip").className="offline";
  document.querySelector("div#myip").innerHTML="xxx.xxx.xxx.xxx";
  document.querySelector("div#help").style.display="none";
  document.querySelector("div#help").innerHTML="Cliquez sur l'IP pour la copier";
  var ajax = new XMLHttpRequest();
  ajax.onerror = function() {
    document.querySelector("div#myip").innerHTML="Erreur retour";
  }
  ajax.onabort = function() {
    document.querySelector("div#myip").innerHTML="Erreur retour";
  }
  ajax.onload = function() {
    if (this.status == 200) { /* Le service a bien répondu */
      var ip=this.response;
      /* Contrôle du retour */
      var reg=new RegExp("^[0-9]{1,3}.+[0-9]{1,3}.+[0-9]{1,3}.+[0-9]{1,3}$")
      if (reg.test(ip)) {
        document.querySelector("div#myip").className="online"
        document.querySelector("div#myip").innerHTML=ip;  
        document.querySelector("div#help").style.display="block";
      } else {
        document.querySelector("div#myip").innerHTML="Erreur retour";
      }
    } else {
       document.querySelector("div#myip").innerHTML="Erreur retour";
    }
  }
  /* Préparation de la requête et envoi */
  var url="https://www.get-my-ip.com/api/get-my-ip.php?dummy="+new Date();
  ajax.open("GET", url, true);
  ajax.send();
}
/* Copie de l'adresse ip dans le presse-papier */
function copyMyIP() {
  var sel=window.getSelection();
  var range=document.createRange();
  var elt=document.getElementById("myip");
  elt.parentNode.className=""; /* Correspond à container */
  range.selectNodeContents(elt);
  console.log(range.toString());
  sel.removeAllRanges();
  sel.addRange(range);
  /* Copier dans le clipboard */
  document.execCommand("copy");
  /* Animation css flash sur l'élément container parent */
  elt.parentNode.className="flash";
  /* Effacement de la sélection */
  range.collapse();  
  document.querySelector("div#help").innerHTML="Adresse IP copiée";
}

/* Détection du chargement complet du document */
document.addEventListener("DOMContentLoaded", function() {
  /* Déclaration des événements */
  document.querySelector("div#reload").addEventListener("click", loadGetMyIP);
  document.querySelector("div#myip").addEventListener("click", copyMyIP);
  document.querySelector("div#about").addEventListener("click", function() {
    document.querySelector("div#info").style.display="block";
  });
  document.querySelector("div#close").addEventListener("click", function() {
    document.querySelector("div#info").style.display="none";
  });
  document.querySelector("#myip").addEventListener("mouseenter", function() {
    document.querySelector("div#help").style.color="#333";
  });
  document.querySelector("#myip").addEventListener("mouseleave", function() {
    document.querySelector("div#help").style.color="#aaa";
  });
  /* Chargement initial de l'adresse IP */
  loadGetMyIP();
});
